Subject: Equivalent of `svn switch` for git-svn?

From: Adam Roben <[email-masked]>
Date: Wed, 26 Sep 2007 23:41:10 -0700

Hi all-
   I've recently been informed that the Subversion server I and several 
others have been tracking with git-svn will be switching from using the 
svn+ssh scheme to the http scheme. To handle this, users of svn will be 
running `svn switch` to move their working copies to the new repository 
URL. Is there some way to do the same for git-svn? I suspect the biggest 
complication will come from the git-svn-id: lines in the commit logs, 
since changing that line would require changing the commit hash as well.

   Thanks for any advice!

-Adam